Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

view
enum<string>
default:active

active returns in-flight documents updated in the last 4 hours. pending returns every document that is not done or failed, with no time cutoff. all also includes failed documents, paginated.

Available options:
active,
pending,
all
Example:

"all"

containerTags
string

Comma-separated container tags to filter by

Example:

"user_123,sm_project_default"

page

Page number to fetch. Used with view=all.

Pattern: ^\d+$
Example:

"1"

limit

Number of items per page. Used with view=all.

Pattern: ^\d+$
Example:

"50"

Response

Successfully retrieved processing documents

List of documents currently being processed

documents
object[]
required
totalCount
number
required

Total number of processing documents

Example:

5

pagination
object

Present when view=all

Example: